Subject: Re: bug#10116: M-x compile no longer completes filenames

From: Stefan Monnier <[email-masked]>
Date: Tue, 06 Dec 2011 20:29:56 -0500

>>> Furthermore, more TABs will get you
>>> Error in post-command-hook (completion-in-region--postch): (error IO error
>>> reading /var/tmp: Is a directory)
>>> insert-file-contents-literally: IO error reading /var/tmp: Is a directory

SM> I can't reproduce this problem.  Can you give more detailed steps to
SM> reproduce it?

> Easy as cake.
> $ set emacs-snapshot
> $ apt-cache policy $@
> emacs-snapshot:
>   Installed: 1:20111206-1 # How can I give you a more exact version ? BUG !
> $ mkdir v
> $ cd v #no files here
> $ emacs -Q -nw -f compile
> TAB

OK, I can reproduce it now and I have a fix for it.  But I have one
question: you originally said you wanted to complete on filenames, but
this bug shows up when there's no Makefile, in which case you'd first
want to specify a file via -f, right?

        Stefan